Summary: 	CTPP2 template engine.
Name: 		ctpp2
Version: 	2.3.0
Release: 	0%{?dist}
License: 	BSD-like
Source: 	ctpp2-%{version}.tar.gz
Group:		System Environment/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cmake >= 2.4.2, openssl-devel

%package devel
Summary:	Header files and development documentation for %{name}
Group: 		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description
CTPP2 library.
%description devel
CTPP2 header files.

This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q -n ctpp2-%{version}

%build
%cmake -D SKIP_RELINK_RPATH=ON . -DCMAKE_INSTALL_PREFIX=/usr -DCFLAGS="${CFLAGS}" -DCXXFLAGS="${CXXFLAGS}"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/ctpp2-config
%{_bindir}/ctpp2c
%{_bindir}/ctpp2i
%{_bindir}/ctpp2json
%{_bindir}/ctpp2vm
%{_libdir}/libctpp2.so*
%{_libdir}/libctpp2.so
%{_datadir}/locale/ru_RU.CP1251/LC_MESSAGES/ctpp2.mo
%{_datadir}/locale/ru_RU.KOI8-R/LC_MESSAGES/ctpp2.mo

%files devel
%defattr(-,root,root,-)
%{_includedir}/ctpp2/*
%{_libdir}/libctpp2-st.a

%changelog
* Wed May 21 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.3.0-0
- Bug fixes; new CTPP2 debug subsystem

* Wed May 14 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.2.3-0
- Bug fixes; new function: NUM_FORMAT

* Mon Apr 28 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.2.2-0
- Bug fixes only

* Wed Apr 23 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.2.1-0
- New function: ARRAY_SIZE

* Fri Apr 18 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.2.0-0
- Bug fixes, support of crossplatform bytecode file

* Fri Mar 29 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.1.2-0
- Inverse translation map in <TMPL_include ...

* Wed Mar 19 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.1.1-0
- Translation map in <TMPL_include ...

* Fri Mar 14 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.1.0-0
- Math. operations, speed improvements, bug fixes

* Mon Mar  3 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.0.5-0
- Namespaces in variable names, bug fixes

* Mon Feb 18 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.0.4-0
- New contextual variable: __COUNTER__, small bug fixes

* Fri Feb 15 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.0.3-0
- New function: iconv

* Fri Feb  8 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.0.2-0
- Bug fixes, new functions

* Mon Feb  4 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.0.1-0
- Bug fixes

* Fri Jan 26 2008 Andrei V. Shetuhin <reki@reki.ru> - 2.0.0-0
- First version 2.X release.
